---
colors:
  darkGreyPurple: 0x281831
  deepPurple: 0x422850
  mauvePurple: 0x8E64A5
  whiteishPurple: 0xE3DFE4
  lightGrey: 0x9E9E9E
  softGreen: 0xA0FFB0
  softRed: 0xFFA0B0
  whitePurple: 0xFFFDFF
  softPurple: 0xFDF3FC
  purple: 0xDFB9DE
  brightPurple: 0xD1B0E0  # not in new: portrait badge color
  darkPurple: 0x350052
  greyPurple: 0x775F84  # not in new: portrait borders
  pink: 0xE85DA1  # not in new: active button color
  hotPink: 0xD20070  # #D01972)
  softGrey: 0xB3B6B3  # not in new theme: blocked
themes:
  name: cwtch
  dark:
    colors:
      background: darkGreyPurple
      header: darkGreyPurple
      userBubble: mauvePurple
      peerBubble: deepPurple
      font: whiteishPurple
      settings: whiteishPurple
      accent: hotPink
    theme:
      backgroundHilightElementColor: deepPurple
      backgroundMainColor: background  # darkGreyPurple
      backgroundPaneColor: header  # darkGreyPurple
      defaultButtonColor: accent  # hotPink
      defaultButtonDisabledColor: lightGrey
      defaultButtonDisabledTextColor: darkGreyPurple
      defaultButtonTextColor: whiteishPurple
      dropShadowColor: mauvePurple
      hilightElementColor: font # purple
      mainTextColor: font  # whiteishPurple
      messageFromMeBackgroundColor: userBubble  # mauvePurple
      messageFromMeTextColor: font  # whiteishPurple
      messageFromOtherBackgroundColor: peerBubble  # deepPurple
      messageFromOtherTextColor: font  # whiteishPurple
      portraitBackgroundColor: deepPurple
      portraitBlockedBorderColor: lightGrey
      portraitBlockedTextColor: lightGrey
      portraitContactBadgeColor: hotPink
      portraitContactBadgeTextColor: whiteishPurple
      portraitOfflineBorderColor: purple
      portraitOnlineBorderColor: whiteishPurple
      portraitProfileBadgeColor: hotPink
      portraitProfileBadgeTextColor: whiteishPurple
      scrollbarDefaultColor: purple
      sendHintTextColor: mauvePurple
      chatReactionIconColor: mauvePurple
      textfieldBackgroundColor: deepPurple
      textfieldBorderColor: deepPurple
      textfieldErrorColor: hotPink
      textfieldHintColor: mainTextColor
      toolbarIconColor: settings  # whiteishPurple
      toolbarBackgroundColor: deepPurple
      topbarColor: header  # darkGreyPurple
      chatImage: Cwtch.png
      chatImageColor: peerBubble
  light:
    colors:
      background: whitePurple
      header: softPurple
      userBubble: purple
      peerBubble: softPurple
      font: 0x281831
      settings: 0x281831
      accent: hotPink
    theme:
      backgroundHilightElementColor: softPurple
      backgroundMainColor: background  # whitePurple
      backgroundPaneColor: background  # whitePurple
      defaultButtonColor: accent  # hotPink
      defaultButtonDisabledColor: softGrey
      defaultButtonTextColor: whitePurple  # ?
      dropShadowColor: purple
      hilightElementColor: font # purple
      mainTextColor: settings
      messageFromMeBackgroundColor: userBubble  # brightPurple
      messageFromMeTextColor: font  # mainTextColor
      messageFromOtherBackgroundColor: peerBubble  # purple
      messageFromOtherTextColor: font  # darkPurple
      portraitBackgroundColor: softPurple
      portraitBlockedBorderColor: softGrey
      portraitBlockedTextColor: softGrey
      portraitContactBadgeColor: accent
      portraitContactBadgeTextColor: whitePurple
      portraitOfflineBorderColor: greyPurple
      portraitOnlineBorderColor: font
      portraitProfileBadgeColor: accent
      portraitProfileBadgeTextColor: whitePurple
      scrollbarDefaultColor: accent
      sendHintTextColor: purple
      chatReactionIconColor: purple
      textfieldBackgroundColor: purple
      textfieldBorderColor: purple
      textfieldErrorColor: hotPink
      textfieldHintColor: font
      toolbarIconColor: background  # darkPurple
      toolbarBackgroundColor: accent
      topbarColor: header  # softPurple
      chatImage: Cwtch.png
      chatImageColor: 0xf1dff0